> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spotflow.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bulk Disbursements By ID

> Fetch all transfer details present in a bulk disbursements file by its specific id to know the status of each transaction.



## OpenAPI

````yaml openapi.json GET /transfers/bulk/{id}/transfers
openapi: 3.1.0
info:
  title: Spotflow
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - description: Production server
    url: https://api.spotflow.co/api/v1
security:
  - bearerAuth: []
paths:
  /transfers/bulk/{id}/transfers:
    get:
      description: Get details of all bulk transfer files you have uploaded.
      operationId: listBulkTransfersByID
      parameters:
        - name: id
          in: path
          required: true
          description: >-
            This is the specific id used to get the individual transfer details
            in the uploaded bulk disbursement file.
          schema:
            type: string
        - name: page
          in: query
          required: false
          description: Page number for pagination (default is 0).
          schema:
            type: integer
            format: int32
            default: 0
        - name: page
          in: query
          required: false
          description: Page number for pagination (default is 0).
          schema:
            type: integer
            format: int32
            default: 0
        - name: size
          in: query
          required: false
          description: Number of items per page for pagination (default is 10).
          schema:
            type: integer
            format: int32
            default: 10
        - name: query
          in: query
          required: false
          description: ''
          schema:
            type: string
        - name: status
          in: query
          required: false
          description: ''
          schema:
            type: string
        - name: category
          in: query
          required: false
          description: ''
          schema:
            type: string
        - name: currency
          in: query
          required: false
          description: ''
          schema:
            type: string
        - name: from
          in: query
          required: false
          description: ''
          schema:
            type: string
        - name: to
          in: query
          required: false
          description: ''
          schema:
            type: string
      responses:
        '200':
          description: A JSON array of bulk disbursements objects.
          content:
            application/json:
              schema:
                type: object
                properties:
                  content:
                    type: array
                    items:
                      $ref: '#/components/schemas/TransferDetailsResponse'
                  pageNumber:
                    type: integer
                    example: 1
                  pageSize:
                    type: integer
                    example: 10
                  totalElements:
                    type: integer
                    example: 100
                  totalPages:
                    type: integer
                    example: 10
        '400':
          description: Not Found - No subscriptions found for the given plan ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: Unauthorized - Invalid or missing authentication token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionError401'
components:
  schemas:
    TransferDetailsResponse:
      type: object
      properties:
        reference:
          type: string
          format: uuid
          example: c1fba25a-a36b-479c-b17d-64dbaf3ba32c
        spotflowreference:
          type: string
          format: uuid
          example: c1fba25a-a36b-479c-b17d-64dbaf3ba32c
        amount:
          type: number
          format: int32
          example: 0
        currency:
          type: string
          example: NGN
        transferMode:
          type: string
          example: '7706438396'
        destination:
          type: object
          properties:
            accountNumber:
              type: string
              example: '7706438396'
            accountName:
              type: string
              example: Quantum Technologies
            bankCode:
              type: string
              example: NGN100
            branchCode:
              type: string
              example: NGN100
            bankName:
              type: string
              example: Testbank MFB
        narrations:
          type: string
          example: string
        status:
          type: string
          example: string
    Error400:
      type: object
      properties:
        error:
          type: string
          example: Missing Parameter
        message:
          type: string
          example: missing_parameter
        status:
          type: integer
          format: float
          example: 400
    SubscriptionError401:
      type: object
      properties:
        code:
          type: string
          example: AUTH_ERROR
        message:
          type: string
          example: Authorization token is required.
        statusCode:
          type: integer
          format: float
          example: 401
        requestMarker:
          type: string
          format: uuid
      required:
        - status
        - statusCode
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````